{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}
Batches
List batches
Meilisearch groups compatible tasks (asynchronous operations) into batches for efficient processing.
For example, multiple document additions to the same index may be batched together. List batches to monitor their progress and performance.
Batches are always returned in descending order of uid. This means that by default, the most recently created batch objects appear first. Batch results are paginated and can be filtered with query parameters.
GET
/
batches
cURL
curl \
-X GET 'http://MEILISEARCH_URL/batches' \
-H 'Authorization: Bearer API_KEY'
client.batches.getBatches();
$client->getBatches();
client.get_batches()
client.batches
client.GetBatches();
let mut query = meilisearch_sdk::batches::BatchesQuery::new(&client);
query.with_limit(20);
let batches: meilisearch_sdk::batches::BatchesResults =
client.get_batches_with(&query).await.unwrap();
{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}
Permits to filter tasks by their batch uid. By default, when the
batchUids query parameter is not set, all task uids are returned.
It's possible to specify several batch uids by separating them with
the , character.
Permits to filter tasks by their uid. By default, when the uids query
parameter is not set, all task uids are returned. It's possible to
specify several uids by separating them with the , character.
Permits to filter tasks using the uid of the task that canceled them.
It's possible to specify several task uids by separating them with
the , character.
Permits to filter tasks by their related type. By default, when types
query parameter is not set, all task types are returned. It's possible
to specify several types by separating them with the , character.
Permits to filter tasks by their status. By default, when statuses
query parameter is not set, all task statuses are returned. It's
possible to specify several statuses by separating them with the ,
character.
Permits to filter tasks by their related index. By default, when
indexUids query parameter is not set, the tasks of all the indexes
are returned. It is possible to specify several indexes by separating
them with the , character.
Value to send in from to fetch the next slice of results
Required range: x >= 0
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Meilisearch Documentation","colors":{"primary":"#FF5CB2","light":"#FF5CB2","dark":"#FF5CB2"},"logo":{"light":"https://mintcdn.com/meilisearch-6b28dec2/YRn82YKcWv02OWrg/assets/repo/meilisearch-logo-light.svg?fit=max\u0026auto=format\u0026n=YRn82YKcWv02OWrg\u0026q=85\u0026s=331f9ce2d1f557db3b679795f4707aa5","dark":"https://mintcdn.com/meilisearch-6b28dec2/YRn82YKcWv02OWrg/assets/repo/meilisearch-logo-dark.svg?fit=max\u0026auto=format\u0026n=YRn82YKcWv02OWrg\u0026q=85\u0026s=81634cdd715f6f159c69841b5d539d5a"},"favicon":"https://mintcdn.com/meilisearch-6b28dec2/YRn82YKcWv02OWrg/assets/repo/favicon.svg?fit=max\u0026auto=format\u0026n=YRn82YKcWv02OWrg\u0026q=85\u0026s=33f47c7e13dd4d7005f570f6299328a5","api":{"playground":{"display":"simple"}},"appearance":{"default":"dark"},"background":{"decoration":"grid","color":{"light":"#F7F7F7","dark":"#1A003B"}},"navbar":{"links":[{"href":"https://www.meilisearch.com","label":"Website"},{"href":"https://github.com/meilisearch/meilisearch","label":"GitHub"},{"href":"https://discord.meilisearch.com/","label":"Discord"}],"primary":{"type":"button","label":"Start a trial","href":"https://cloud.meilisearch.com"}},"footer":{"socials":{"x":"https://x.com/meilisearch","github":"https://github.com/meilisearch","linkedin":"https://www.linkedin.com/company/meilisearch","website":"https://www.meilisearch.com"},"links":[{"header":"Product","items":[{"label":"Meilisearch Cloud","href":"https://www.meilisearch.com/cloud"},{"label":"AI search","href":"https://www.meilisearch.com/solutions/hybrid-search"},{"label":"Pricing","href":"https://www.meilisearch.com/pricing"},{"label":"Documentation","href":"https://www.meilisearch.com/docs"},{"label":"Roadmap","href":"https://roadmap.meilisearch.com"},{"label":"Release notes","href":"https://updates.cloud.meilisearch.com/"},{"label":"Comparisons","href":"https://www.meilisearch.com/docs/resources/comparisons/alternatives"},{"label":"Trust center","href":"https://trust.meilisearch.com/"}]},{"header":"Contact us","items":[{"label":"GitHub","href":"https://github.com/meilisearch"},{"label":"Discord","href":"https://discord.gg/meilisearch"},{"label":"Newsletter","href":"https://share-eu1.hsforms.com/1LN5N0x_GQgq7ss7tXmSykwfg3aq"},{"label":"Helpdesk","href":"https://help.meilisearch.com/"}]},{"header":"Company","items":[{"label":"Blog","href":"https://meilisearch.com/blog"},{"label":"Customers","href":"https://www.meilisearch.com/customers"},{"label":"Careers","href":"https://www.meilisearch.com/careers"},{"label":"Code of Conduct","href":"https://github.com/meilisearch/MeiliSearch/blob/main/CODE_OF_CONDUCT.md"},{"label":"Privacy Policy","href":"https://www.meilisearch.com/privacy-policy"},{"label":"Terms of Use","href":"https://www.meilisearch.com/terms-of-use"},{"label":"Swag","href":"https://swag.meilisearch.com/"}]}]},"seo":{"metatags":{"canonical":"https://www.meilisearch.com/docs"}},"integrations":{"fathom":{"siteId":"QNBPJXIV"},"gtm":{"tagId":"GTM-TNSCGVBH"},"posthog":{"apiKey":"phc_D5VtJkw6WyBzLtZ5tBvwR7ac4LvQZdFGYQTQfegRjh9n","apiHost":"https://t.meilisearch.com","sessionRecording":true},"segment":{"key":"KIC0Lcb5C9ssRY79dUKPOK8Wq6wLHiUP"}},"contextual":{"options":["copy","view","chatgpt","claude","cursor"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"meilisearch-6b28dec2","hasAudioNarration":false,"actualSubdomain":"meilisearch-6b28dec2","customDomains":["www.meilisearch.com","meilisearch.dev"],"gitSource":{"type":"github","owner":"meilisearch","repo":"documentation","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae1c4838e4709662983cc24","collectionId":"668baffb-e41e-4284-8a34-083961efc684","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae1c4838e4709662983cc24"},"feedback":{"thumbs":true,"edits":true,"issues":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"DISABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae1c4838e4709662983cc24","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"Capabilities","count":168},{"language":"default","tag":"Reference","count":150},{"language":"default","tag":"API Routes","count":143},{"language":"default","tag":"Resources","count":89},{"language":"default","tag":"Settings","count":69},{"language":"default","tag":"How to","count":62},{"language":"default","tag":"Getting started","count":52},{"language":"default","tag":"Advanced","count":30},{"language":"default","tag":"Self-hosting","count":29},{"language":"default","tag":"Platform","count":27}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".dark\\:text-gray-400:is(.dark *){color:rgb(var(--gray-300))}#navigation-items h5{text-transform:uppercase}.callout h2,.callout h3,.callout h4,.callout h5,.callout h6{color:inherit}.noticeTag{color:rgb(var(--primary-light));border:1px solid rgb(var(--primary-light));padding:0 .5em;margin-left:.25em;display:inline-block;border-radius:5px;font-size:.8em}.routeHighlighter{--route-highlighter-color:rgba(100, 100, 100, 0.35);display:flex;border-radius:.375rem;border:1px var(--route-highlighter-color) solid;padding:1rem;gap:2rem;align-items:center;overflow:scroll}.routeHighlighter--GET{--route-highlighter-color:oklch(0.792 0.209 151.711)}.routeHighlighter--POST{--route-highlighter-color:oklch(0.623 0.214 259.815)}.routeHighlighter--DELETE{--route-highlighter-color:oklch(63.7% 0.237 25.331)}.routeHighlighter--PATCH,.routeHighlighter--PUT{--route-highlighter-color:oklch(0.828 0.189 84.429)}.routeHighlighter__method{font-weight:700;color:var(--route-highlighter-color)}.routeHighlighter__path{font-family:var(--font-jetbrains-mono),ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace}"},{"filePath":"meilisearch-search-bar.css","content":".meilisearch-bar-container{max-width:480px;width:100%;margin:0 auto;padding:0 10px}.meilisearch-search-bar{background-color:#fff;color:rgba(25,25,25,.7);border:1px solid rgba(255,255,255,.1);display:flex;align-items:center;border-radius:12px;padding:8px 16px;cursor:pointer;width:100%;transition:all .2s ease;backdrop-filter:blur(8px);font-size:14px}.dark .meilisearch-search-bar{background-color:rgba(25,17,53,.5);color:rgba(255,255,255,.7);border:1px solid rgba(255,255,255,.1)}.meilisearch-search-bar__text{flex-grow:1}.meilisearch-search-bar__shortcut{opacity:.7;font-size:12px}.meilisearch-flexwrapper{display:flex;justify-content:center;align-items:center;width:100%}.meilisearch-modal-overlay{position:fixed;top:0;left:0;width:100%;height:100%;backdrop-filter:blur(8px);background-color:rgba(0,0,0,.4);z-index:9999;display:none;align-items:flex-start;justify-content:center;padding-top:0;box-sizing:border-box}.meilisearch-modal{background-color:#fff;border:1px solid rgba(0,0,0,.5);width:600px;max-width:90%;max-height:80vh;margin-top:70px;border-radius:12px;box-shadow:0 8px 32px rgba(0,0,0,.3);display:flex;flex-direction:column;overflow:hidden}.dark .meilisearch-modal{background-color:#1a1033;border:1px solid rgba(255,255,255,.1)}.meilisearch-modal__input-container{display:flex;align-items:center;padding:16px 20px;border-bottom:1px solid rgba(0,0,0,.1)}.dark .meilisearch-modal__input-container{border-bottom:1px solid rgba(255,255,255,.1)}.meilisearch-modal__input{background:0 0;border:0;font-size:16px;outline:0;width:100%;margin-right:10px;color:rgb(var(--gray-700))}.dark .meilisearch-modal__input{color:rgb(var(--gray-100))}.meilisearch-modal__escape{font-size:12px;padding:4px 8px;border-radius:4px;margin-left:auto;background-color:rgba(0,0,0,.1)}.dark .meilisearch-modal__escape{color:rgba(255,255,255,.5);background-color:rgba(255,255,255,.1)}.meilisearch-modal__results{flex-grow:1;overflow-y:auto;padding:0}.meilisearch-modal__indicator{padding:20px;text-align:center}.dark .meilisearch-modal__indicator{color:rgba(255,255,255,.7)}.meilisearch-modal__result{display:block;padding:12px 20px;text-decoration:none;border-left:3px solid transparent;transition:background-color .2s,border-color .2s}.dark .meilisearch-modal__result{color:#fff}.meilisearch-modal__result:hover{background-color:rgba(0,0,0,.05);border-left-color:#f472b6}.dark .meilisearch-modal__result:hover{background-color:rgba(255,255,255,.05)}.meilisearch-modal__category-header{padding:12px 20px 8px;font-size:14px;font-weight:600;text-transform:uppercase;color:rgba(0,0,0,.45)}.dark .meilisearch-modal__category-header{color:rgba(255,255,255,.5)}.meilisearch-modal__result-heading{font-weight:500;margin-bottom:4px}.meilisearch-modal__result-content{font-size:13px;color:rgba(0,0,0,.45)}.dark .meilisearch-modal__result-content{color:rgba(255,255,255,.6)}.meilisearch-modal__category-em{font-style:normal;color:#f472b6;font-weight:700}.meilisearch-modal__error{padding:20px;text-align:center;color:#f87171}.meilisearch-filter-container{padding:16px 20px;border-bottom:1px solid rgba(0,0,0,.1);background-color:rgba(0,0,0,.02)}.dark .meilisearch-filter-container{border-bottom:1px solid rgba(255,255,255,.1);background-color:rgba(255,255,255,.02)}.meilisearch-filter-title{font-size:14px;font-weight:500;color:rgba(0,0,0,.7);margin-bottom:12px}.dark .meilisearch-filter-title{color:rgba(255,255,255,.7)}.meilisearch-filter-tags{display:flex;flex-wrap:wrap;gap:8px}.meilisearch-filter-tag{background-color:rgba(0,0,0,.05);border:1px solid rgba(0,0,0,.1);border-radius:6px;padding:6px 12px;font-size:13px;font-weight:500;color:rgba(0,0,0,.7);cursor:pointer;transition:all .2s ease;text-transform:capitalize}.dark .meilisearch-filter-tag{background-color:rgba(255,255,255,.05);border:1px solid rgba(255,255,255,.1);color:rgba(255,255,255,.7)}.meilisearch-filter-tag:hover{background-color:rgba(0,0,0,.1);border-color:rgba(0,0,0,.2)}.dark .meilisearch-filter-tag:hover{background-color:rgba(255,255,255,.1);border-color:rgba(255,255,255,.2)}.meilisearch-filter-tag.active{background-color:#f472b6;border-color:#f472b6;color:#fff}.meilisearch-filter-tag.active:hover{background-color:#cb4d86;border-color:#cb4d86}"}],"page":{"pagePath":"reference/api/async-task-management/list-batches","slug":"/reference/api/async-task-management/list-batches","pageMetadata":{"title":"List batches","description":"Meilisearch groups compatible tasks ([asynchronous operations](https://www.meilisearch.com/docs/learn/async/asynchronous_operations)) into batches for efficient processing.\n\nFor example, multiple document additions to the same index may be batched together. List batches to monitor their progress and performance.\n\nBatches are always returned in descending order of uid. This means that by default, the most recently created batch objects appear first. Batch results are paginated and can be filtered with query parameters.","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /batches","href":"/reference/api/async-task-management/list-batches","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"Meilisearch groups compatible tasks (\", _jsx(_components.a, {\n href: \"https://www.meilisearch.com/docs/learn/async/asynchronous_operations\",\n children: \"asynchronous operations\"\n }), \") into batches for efficient processing.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"For example, multiple document additions to the same index may be batched together. List batches to monitor their progress and performance.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Batches are always returned in descending order of uid. This means that by default, the most recently created batch objects appear first. Batch results are paginated and can be filtered with query parameters.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List batches","description":"Meilisearch groups compatible tasks ([asynchronous operations](https://www.meilisearch.com/docs/learn/async/asynchronous_operations)) into batches for efficient processing.\n\nFor example, multiple document additions to the same index may be batched together. List batches to monitor their progress and performance.\n\nBatches are always returned in descending order of uid. This means that by default, the most recently created batch objects appear first. Batch results are paginated and can be filtered with query parameters.","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /batches","href":"/reference/api/async-task-management/list-batches","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/meilisearch-6b28dec2/c598d5c5cb296702/search.js","/docs/_mintlify/custom/meilisearch-6b28dec2/92f00249b2342156/cookieyes-banner.js","/docs/_mintlify/custom/meilisearch-6b28dec2/7302b02a474aa050/fathom-data-attr.js","/docs/_mintlify/custom/meilisearch-6b28dec2/85493af1bed6e7fb/gtm.js"],"openApiReferenceData":{"operation":{"tags":["Async task management"],"summary":"List batches","description":"Meilisearch groups compatible tasks ([asynchronous operations](https://www.meilisearch.com/docs/learn/async/asynchronous_operations)) into batches for efficient processing.\n\nFor example, multiple document additions to the same index may be batched together. List batches to monitor their progress and performance.\n\nBatches are always returned in descending order of uid. This means that by default, the most recently created batch objects appear first. Batch results are paginated and can be filtered with query parameters.","operationId":"get_batches","parameters":["9113c0ca-6921-49c7-aac3-7fb1e9a8d97c","e09e274d-68fe-4228-a9bf-e4f05045f539","47c08153-196f-43d9-9892-da891bbd1791","b0a10a44-f214-41b5-a118-08fdc55c9828","3b02861e-fc28-4871-9d9e-05d29e983de1","2e03bd01-83d4-43ff-b1b3-f12fdb0080db","d830783f-4e88-4113-9aaf-c12989d4c26a","f971e6c4-648f-4832-b35b-59277ecd0173","b18cc0a0-ec70-44ef-a648-4ba98a4ea2ea","53b49ac6-bb4c-4685-a802-3d25a7839ccf","10b51959-1a36-45ba-aaf4-798b00222224","239ef2b1-ba7b-4904-8a8d-ee1bb3cb297f","61cc7f19-32df-49e6-b2d2-96d87a6152e2","66c4e3b7-2295-4ec1-a657-3e1d24da8116","18db09b0-c663-46c5-a900-c736684f6ee7"],"responses":{"200":"27c610da-697c-48db-8311-623b479f48e6","401":"27b1ddc7-eccc-4354-aecc-b5cce066460d"},"security":["9b3d01bb-b0d5-44a7-b07a-6bbcd941b3d9"],"x-codeSamples":[{"lang":"cURL","source":"curl \\\n -X GET 'http://MEILISEARCH_URL/batches' \\\n -H 'Authorization: Bearer API_KEY'"},{"lang":"JS","source":"client.batches.getBatches();"},{"lang":"PHP","source":"$client->getBatches();"},{"lang":"Python","source":"client.get_batches()"},{"lang":"Ruby","source":"client.batches"},{"lang":"Go","source":"client.GetBatches();"},{"lang":"Rust","source":"let mut query = meilisearch_sdk::batches::BatchesQuery::new(\u0026client);\nquery.with_limit(20);\nlet batches: meilisearch_sdk::batches::BatchesResults =\n client.get_batches_with(\u0026query).await.unwrap();"}],"method":"get","type":"path","servers":["bdde1061-cfb1-4636-a2c9-40d85a2fd614"],"path":"/batches","baseUrlOptions":["http://localhost:7700"],"title":"List batches","codeSamples":[{"lang":"cURL","source":"curl \\\n -X GET 'http://MEILISEARCH_URL/batches' \\\n -H 'Authorization: Bearer API_KEY'"},{"lang":"JS","source":"client.batches.getBatches();"},{"lang":"PHP","source":"$client->getBatches();"},{"lang":"Python","source":"client.get_batches()"},{"lang":"Ruby","source":"client.batches"},{"lang":"Go","source":"client.GetBatches();"},{"lang":"Rust","source":"let mut query = meilisearch_sdk::batches::BatchesQuery::new(\u0026client);\nquery.with_limit(20);\nlet batches: meilisearch_sdk::batches::BatchesResults =\n client.get_batches_with(\u0026query).await.unwrap();"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"9113c0ca-6921-49c7-aac3-7fb1e9a8d97c":{"name":"limit","in":"query","description":"Maximum number of batches to return.","required":false,"schema":{"type":"integer","format":"u-int32","default":20,"minimum":0,"isRequired":false,"description":"Maximum number of batches to return.","uniqueKey":"","typeLabel":"integer\u003cu-int32>"},"example":12},"e09e274d-68fe-4228-a9bf-e4f05045f539":{"name":"from","in":"query","description":"`uid` of the first batch returned.","required":false,"schema":{"type":"integer","format":"u-int32","minimum":0,"isRequired":false,"description":"`uid` of the first batch returned.","uniqueKey":"","typeLabel":"integer\u003cu-int32>"},"example":12421},"47c08153-196f-43d9-9892-da891bbd1791":{"name":"reverse","in":"query","description":"If `true`, returns results in the reverse order, from oldest to most recent.","required":false,"schema":{"type":"boolean","isRequired":false,"description":"If `true`, returns results in the reverse order, from oldest to most recent.","uniqueKey":"","typeLabel":"boolean"},"example":true},"b0a10a44-f214-41b5-a118-08fdc55c9828":{"name":"batchUids","in":"query","description":"Permits to filter tasks by their batch uid. By default, when the\n`batchUids` query parameter is not set, all task uids are returned.\nIt's possible to specify several batch uids by separating them with\nthe `,` character.","required":false,"schema":{"type":"array","items":{"type":"integer","format":"u-int32","minimum":0,"uniqueKey":"items.[INDEX]","typeLabel":"integer\u003cu-int32>"},"isRequired":false,"description":"Permits to filter tasks by their batch uid. By default, when the\n`batchUids` query parameter is not set, all task uids are returned.\nIt's possible to specify several batch uids by separating them with\nthe `,` character.","uniqueKey":"","typeLabel":"integer\u003cu-int32>[]"},"example":[1,2,3]},"3b02861e-fc28-4871-9d9e-05d29e983de1":{"name":"uids","in":"query","description":"Permits to filter tasks by their uid. By default, when the uids query\nparameter is not set, all task uids are returned. It's possible to\nspecify several uids by separating them with the `,` character.","required":false,"schema":{"type":"array","items":{"type":"integer","format":"u-int32","minimum":0,"uniqueKey":"items.[INDEX]","typeLabel":"integer\u003cu-int32>"},"isRequired":false,"description":"Permits to filter tasks by their uid. By default, when the uids query\nparameter is not set, all task uids are returned. It's possible to\nspecify several uids by separating them with the `,` character.","uniqueKey":"","typeLabel":"integer\u003cu-int32>[]"},"example":[231,423,598]},"2e03bd01-83d4-43ff-b1b3-f12fdb0080db":{"name":"canceledBy","in":"query","description":"Permits to filter tasks using the uid of the task that canceled them.\nIt's possible to specify several task uids by separating them with\nthe `,` character.","required":false,"schema":{"type":"array","items":{"type":"integer","format":"u-int32","minimum":0,"uniqueKey":"items.[INDEX]","typeLabel":"integer\u003cu-int32>"},"isRequired":false,"description":"Permits to filter tasks using the uid of the task that canceled them.\nIt's possible to specify several task uids by separating them with\nthe `,` character.","uniqueKey":"","typeLabel":"integer\u003cu-int32>[]"},"example":[374]},"d830783f-4e88-4113-9aaf-c12989d4c26a":{"name":"types","in":"query","description":"Permits to filter tasks by their related type. By default, when `types`\nquery parameter is not set, all task types are returned. It's possible\nto specify several types by separating them with the `,` character.","required":false,"schema":{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"isRequired":false,"description":"Permits to filter tasks by their related type. By default, when `types`\nquery parameter is not set, all task types are returned. It's possible\nto specify several types by separating them with the `,` character.","uniqueKey":"","typeLabel":"string[]"},"example":["documentAdditionOrUpdate"]},"f971e6c4-648f-4832-b35b-59277ecd0173":{"name":"statuses","in":"query","description":"Permits to filter tasks by their status. By default, when `statuses`\nquery parameter is not set, all task statuses are returned. It's\npossible to specify several statuses by separating them with the `,`\ncharacter.","required":false,"schema":{"type":"array","items":{"type":"string","description":"The status of a task.","enum":["enqueued","processing","succeeded","failed","canceled"],"example":"processing","uniqueKey":"items.[INDEX]","typeLabel":"enum\u003cstring>"},"isRequired":false,"description":"Permits to filter tasks by their status. By default, when `statuses`\nquery parameter is not set, all task statuses are returned. It's\npossible to specify several statuses by separating them with the `,`\ncharacter.","uniqueKey":"","typeLabel":"enum\u003cstring>[]"},"example":["succeeded","failed","canceled","enqueued","processing"]},"b18cc0a0-ec70-44ef-a648-4ba98a4ea2ea":{"name":"indexUids","in":"query","description":"Permits to filter tasks by their related index. By default, when\n`indexUids` query parameter is not set, the tasks of all the indexes\nare returned. It is possible to specify several indexes by separating\nthem with the `,` character.","required":false,"schema":{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"isRequired":false,"description":"Permits to filter tasks by their related index. By default, when\n`indexUids` query parameter is not set, the tasks of all the indexes\nare returned. It is possible to specify several indexes by separating\nthem with the `,` character.","uniqueKey":"","typeLabel":"string[]"},"example":["movies","theater"]},"53b49ac6-bb4c-4685-a802-3d25a7839ccf":{"name":"afterEnqueuedAt","in":"query","description":"Permits to filter tasks based on their enqueuedAt time. Matches tasks\nenqueued after the given date. Supports RFC 3339 date format.","required":false,"schema":{"type":"string","isRequired":false,"description":"Permits to filter tasks based on their enqueuedAt time. Matches tasks\nenqueued after the given date. Supports RFC 3339 date format.","uniqueKey":"","typeLabel":"string"},"example":"2024-08-08T16:37:09.971Z"},"10b51959-1a36-45ba-aaf4-798b00222224":{"name":"beforeEnqueuedAt","in":"query","description":"Permits to filter tasks based on their enqueuedAt time. Matches tasks\nenqueued before the given date. Supports RFC 3339 date format.","required":false,"schema":{"type":"string","isRequired":false,"description":"Permits to filter tasks based on their enqueuedAt time. Matches tasks\nenqueued before the given date. Supports RFC 3339 date format.","uniqueKey":"","typeLabel":"string"},"example":"2024-08-08T16:37:09.971Z"},"239ef2b1-ba7b-4904-8a8d-ee1bb3cb297f":{"name":"afterStartedAt","in":"query","description":"Permits to filter tasks based on their startedAt time. Matches tasks\nstarted after the given date. Supports RFC 3339 date format.","required":false,"schema":{"type":"string","isRequired":false,"description":"Permits to filter tasks based on their startedAt time. Matches tasks\nstarted after the given date. Supports RFC 3339 date format.","uniqueKey":"","typeLabel":"string"},"example":"2024-08-08T16:37:09.971Z"},"61cc7f19-32df-49e6-b2d2-96d87a6152e2":{"name":"beforeStartedAt","in":"query","description":"Permits to filter tasks based on their startedAt time. Matches tasks\nstarted before the given date. Supports RFC 3339 date format.","required":false,"schema":{"type":"string","isRequired":false,"description":"Permits to filter tasks based on their startedAt time. Matches tasks\nstarted before the given date. Supports RFC 3339 date format.","uniqueKey":"","typeLabel":"string"},"example":"2024-08-08T16:37:09.971Z"},"66c4e3b7-2295-4ec1-a657-3e1d24da8116":{"name":"afterFinishedAt","in":"query","description":"Permits to filter tasks based on their finishedAt time. Matches tasks\nfinished after the given date. Supports RFC 3339 date format.","required":false,"schema":{"type":"string","isRequired":false,"description":"Permits to filter tasks based on their finishedAt time. Matches tasks\nfinished after the given date. Supports RFC 3339 date format.","uniqueKey":"","typeLabel":"string"},"example":"2024-08-08T16:37:09.971Z"},"18db09b0-c663-46c5-a900-c736684f6ee7":{"name":"beforeFinishedAt","in":"query","description":"Permits to filter tasks based on their finishedAt time. Matches tasks\nfinished before the given date. Supports RFC 3339 date format.","required":false,"schema":{"type":"string","isRequired":false,"description":"Permits to filter tasks based on their finishedAt time. Matches tasks\nfinished before the given date. Supports RFC 3339 date format.","uniqueKey":"","typeLabel":"string"},"example":"2024-08-08T16:37:09.971Z"}},"responses":{"27c610da-697c-48db-8311-623b479f48e6":{"description":"Returns the batches.","content":{"application/json":{"schema":{"type":"object","description":"Response containing a paginated list of batches","required":["results","total","limit"],"properties":{"results":{"type":"array","items":{"type":"object","description":"Represents a batch of tasks that were processed together.","required":["uid","details","stats"],"properties":{"uid":{"type":"integer","format":"u-int32","minimum":0,"description":"The unique sequential identifier assigned to this batch. Batch UIDs\nare assigned in order of creation and can be used to retrieve specific\nbatch information or correlate tasks that were processed together.","isRequired":true,"uniqueKey":"results.items.[INDEX].uid","typeLabel":"integer\u003cu-int32>"},"details":{"type":"object","description":"Aggregated details from all tasks in this batch. For example, if the\nbatch contains multiple document addition tasks, this will show the\ntotal number of documents received and indexed across all tasks.","isRequired":true,"uniqueKey":"results.items.[INDEX].details","typeLabel":"object"},"stats":{"type":"object","description":"Statistical information about the batch, including the number of tasks\nby status, the types of tasks included, and the indexes affected.\nUseful for understanding the composition and outcome of the batch.","required":["totalNbTasks","status","types","indexUids"],"properties":{"totalNbTasks":{"type":"integer","format":"u-int32","minimum":0,"description":"Total number of tasks in the batch","isRequired":true,"uniqueKey":"results.items.[INDEX].stats.totalNbTasks","typeLabel":"integer\u003cu-int32>"},"status":{"type":"object","description":"Count of tasks by status","additionalProperties":{"type":"integer","format":"u-int32","minimum":0,"uniqueKey":"results.items.[INDEX].stats.status.additionalProperties","typeLabel":"integer\u003cu-int32>"},"propertyNames":{"type":"string","description":"The status of a task.","enum":["enqueued","processing","succeeded","failed","canceled"],"example":"processing"},"isRequired":true,"uniqueKey":"results.items.[INDEX].stats.status","typeLabel":"object"},"types":{"type":"object","description":"Count of tasks by type","additionalProperties":{"type":"integer","format":"u-int32","minimum":0,"uniqueKey":"results.items.[INDEX].stats.types.additionalProperties","typeLabel":"integer\u003cu-int32>"},"propertyNames":{"type":"string","description":"The type of the task.","enum":["documentAdditionOrUpdate","documentEdition","documentDeletion","settingsUpdate","indexCreation","indexDeletion","indexUpdate","indexSwap","taskCancelation","taskDeletion","dumpCreation","snapshotCreation","export","upgradeDatabase","indexCompaction","networkTopologyChange","dsrUpdate","dsrClear"],"example":"documentAdditionOrUpdate"},"isRequired":true,"uniqueKey":"results.items.[INDEX].stats.types","typeLabel":"object"},"indexUids":{"type":"object","description":"Count of tasks by index UID","additionalProperties":{"type":"integer","format":"u-int32","minimum":0,"uniqueKey":"results.items.[INDEX].stats.indexUids.additionalProperties","typeLabel":"integer\u003cu-int32>"},"propertyNames":{"type":"string"},"isRequired":true,"uniqueKey":"results.items.[INDEX].stats.indexUids","typeLabel":"object"},"progressTrace":{"type":"object","description":"Detailed progress trace information","additionalProperties":{"oneOf":[{}],"uniqueKey":"results.items.[INDEX].stats.progressTrace.additionalProperties","typeLabel":"any"},"propertyNames":{"type":"string"},"uniqueKey":"results.items.[INDEX].stats.progressTrace","typeLabel":"object"},"writeChannelCongestion":{"oneOf":[{"type":"object","description":"Write channel congestion metrics","additionalProperties":{"oneOf":[{}],"uniqueKey":"results.items.[INDEX].stats.writeChannelCongestion.oneOf.0.additionalProperties","typeLabel":"any"},"propertyNames":{"type":"string"},"uniqueKey":"results.items.[INDEX].stats.writeChannelCongestion.oneOf.0","typeLabel":"object"},{"type":"null","description":"Write channel congestion metrics","additionalProperties":{"oneOf":[{}],"uniqueKey":"results.items.[INDEX].stats.writeChannelCongestion.oneOf.1.additionalProperties","typeLabel":"any"},"propertyNames":{"type":"string"},"uniqueKey":"results.items.[INDEX].stats.writeChannelCongestion.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].stats.writeChannelCongestion","typeLabel":"object | null"},"internalDatabaseSizes":{"type":"object","description":"Internal database size information","additionalProperties":{"oneOf":[{}],"uniqueKey":"results.items.[INDEX].stats.internalDatabaseSizes.additionalProperties","typeLabel":"any"},"propertyNames":{"type":"string"},"uniqueKey":"results.items.[INDEX].stats.internalDatabaseSizes","typeLabel":"object"},"embedderRequests":{"type":"object","description":"Statistics about AI embedder API requests made during batch processing.\nIncludes total requests, successful/failed counts, and response times.\nOnly present when the batch involved vector embedding operations.","required":["total","failed"],"properties":{"total":{"type":"integer","description":"Total number of embedder requests","minimum":0,"isRequired":true,"uniqueKey":"results.items.[INDEX].stats.embedderRequests.total","typeLabel":"integer"},"failed":{"type":"integer","description":"Number of failed embedder requests","minimum":0,"isRequired":true,"uniqueKey":"results.items.[INDEX].stats.embedderRequests.failed","typeLabel":"integer"},"lastError":{"oneOf":[{"type":"string","description":"Last error message from the embedder","uniqueKey":"results.items.[INDEX].stats.embedderRequests.lastError.oneOf.0","typeLabel":"string"},{"type":"null","description":"Last error message from the embedder","uniqueKey":"results.items.[INDEX].stats.embedderRequests.lastError.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].stats.embedderRequests.lastError","typeLabel":"string | null"}},"uniqueKey":"results.items.[INDEX].stats.embedderRequests","typeLabel":"object"}},"isRequired":true,"uniqueKey":"results.items.[INDEX].stats","typeLabel":"object"},"progress":{"oneOf":[{"type":"null","uniqueKey":"results.items.[INDEX].progress.oneOf.0","typeLabel":"null"},{"type":"object","description":"Real-time progress information for the batch if it's currently being\nprocessed. Contains details about which step is executing and the\npercentage of completion. This is `null` for completed batches.","required":["steps","percentage"],"properties":{"steps":{"type":"array","items":{"type":"object","description":"Information about a single processing step within a batch or task. Each\nstep has a name, current progress, and total items to process.","required":["currentStep","finished","total"],"properties":{"currentStep":{"type":"string","description":"A human-readable name describing what this processing step is doing.\nExamples include \"indexing documents\", \"computing embeddings\",\n\"building word cache\", etc.","isRequired":true,"uniqueKey":"results.items.[INDEX].progress.oneOf.1.steps.items.[INDEX].currentStep","typeLabel":"string"},"finished":{"type":"integer","format":"u-int32","description":"The number of items that have been processed so far in this step.\nCompare with `total` to calculate the percentage complete for this\nspecific step.","minimum":0,"isRequired":true,"uniqueKey":"results.items.[INDEX].progress.oneOf.1.steps.items.[INDEX].finished","typeLabel":"integer\u003cu-int32>"},"total":{"type":"integer","format":"u-int32","description":"The total number of items to process in this step. When `finished`\nequals `total`, this step is complete and processing moves to the\nnext step.","minimum":0,"isRequired":true,"uniqueKey":"results.items.[INDEX].progress.oneOf.1.steps.items.[INDEX].total","typeLabel":"integer\u003cu-int32>"}},"uniqueKey":"results.items.[INDEX].progress.oneOf.1.steps.items.[INDEX]","typeLabel":"object"},"description":"A hierarchical list of processing steps currently being executed.\nSteps are listed from outermost to innermost, with each step\nrepresenting a more granular operation within its parent step.","isRequired":true,"uniqueKey":"results.items.[INDEX].progress.oneOf.1.steps","typeLabel":"object[]"},"percentage":{"type":"number","format":"float","description":"The overall completion percentage of the operation (0.0 to 100.0).\nThis is calculated by combining the progress of all nested steps,\nweighted by their relative importance.","isRequired":true,"uniqueKey":"results.items.[INDEX].progress.oneOf.1.percentage","typeLabel":"number\u003cfloat>"}},"uniqueKey":"results.items.[INDEX].progress.oneOf.1","typeLabel":"object"}],"uniqueKey":"results.items.[INDEX].progress","typeLabel":"null | object"},"duration":{"oneOf":[{"type":"string","description":"The total time spent processing this batch, formatted as an ISO-8601\nduration (e.g., `PT2.5S` for 2.5 seconds). This is `null` for batches\nthat haven't finished processing yet.","uniqueKey":"results.items.[INDEX].duration.oneOf.0","typeLabel":"string"},{"type":"null","description":"The total time spent processing this batch, formatted as an ISO-8601\nduration (e.g., `PT2.5S` for 2.5 seconds). This is `null` for batches\nthat haven't finished processing yet.","uniqueKey":"results.items.[INDEX].duration.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].duration","typeLabel":"string | null"},"startedAt":{"type":"string","format":"date-time","description":"The timestamp when Meilisearch began processing this batch, formatted\nas an RFC 3339 date-time string. All batches have a start time as it's\nset when processing begins.","uniqueKey":"results.items.[INDEX].startedAt","typeLabel":"string\u003cdate-time>"},"finishedAt":{"oneOf":[{"type":"string","format":"date-time","description":"The timestamp when this batch finished processing, formatted as an\nRFC 3339 date-time string. This is `null` for batches that are still\nbeing processed.","uniqueKey":"results.items.[INDEX].finishedAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"The timestamp when this batch finished processing, formatted as an\nRFC 3339 date-time string. This is `null` for batches that are still\nbeing processed.","uniqueKey":"results.items.[INDEX].finishedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].finishedAt","typeLabel":"string\u003cdate-time> | null"},"batchStrategy":{"type":"string","description":"Explains why the batch was finalized and stopped accepting more tasks.\nCommon reasons include reaching the maximum batch size, encountering\nincompatible tasks, or processing being explicitly triggered.","uniqueKey":"results.items.[INDEX].batchStrategy","typeLabel":"string"}},"uniqueKey":"results.items.[INDEX]","typeLabel":"object"},"description":"Array of batch objects","isRequired":true,"uniqueKey":"results","typeLabel":"object[]"},"total":{"type":"integer","format":"u-int64","description":"Total number of batches","minimum":0,"isRequired":true,"uniqueKey":"total","typeLabel":"integer\u003cu-int64>"},"limit":{"type":"integer","format":"u-int32","description":"Maximum number of batches returned","minimum":0,"isRequired":true,"uniqueKey":"limit","typeLabel":"integer\u003cu-int32>"},"from":{"oneOf":[{"type":"integer","format":"u-int32","description":"The first batch uid returned","minimum":0,"uniqueKey":"from.oneOf.0","typeLabel":"integer\u003cu-int32>"},{"type":"null","format":"u-int32","description":"The first batch uid returned","minimum":0,"uniqueKey":"from.oneOf.1","typeLabel":"null"}],"uniqueKey":"from","typeLabel":"integer\u003cu-int32> | null"},"next":{"oneOf":[{"type":"integer","format":"u-int32","description":"Value to send in from to fetch the next slice of results","minimum":0,"uniqueKey":"next.oneOf.0","typeLabel":"integer\u003cu-int32>"},{"type":"null","format":"u-int32","description":"Value to send in from to fetch the next slice of results","minimum":0,"uniqueKey":"next.oneOf.1","typeLabel":"null"}],"uniqueKey":"next","typeLabel":"integer\u003cu-int32> | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"results":[{"uid":2,"details":{"stopWords":["of","the"]},"progress":null,"stats":{"totalNbTasks":1,"status":{"succeeded":1},"types":{"settingsUpdate":1},"indexUids":{"INDEX_NAME":1}},"duration":"PT0.110083S","startedAt":"2024-12-10T15:49:04.995321Z","finishedAt":"2024-12-10T15:49:05.105404Z"}],"total":1,"limit":20,"from":1,"next":null},"examples":{"Example":{"title":"Example","value":{"results":[{"uid":2,"details":{"stopWords":["of","the"]},"progress":null,"stats":{"totalNbTasks":1,"status":{"succeeded":1},"types":{"settingsUpdate":1},"indexUids":{"INDEX_NAME":1}},"duration":"PT0.110083S","startedAt":"2024-12-10T15:49:04.995321Z","finishedAt":"2024-12-10T15:49:05.105404Z"}],"total":1,"limit":20,"from":1,"next":null}}},"exampleType":"examples"}},"exampleType":"examples"},"27b1ddc7-eccc-4354-aecc-b5cce066460d":{"description":"The authorization header is missing.","content":{"application/json":{"schema":{"type":"object","required":["message","code","type","link"],"properties":{"message":{"type":"string","description":"The error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"code":{"type":"string","enum":["api_key_already_exists","api_key_not_found","index_scoped_api_key_with_global_action","bad_parameter","bad_request","database_size_limit_reached","document_not_found","dump_already_processing","dump_not_found","dump_process_failed","duplicate_index_found","immutable_api_key_actions","immutable_api_key_created_at","immutable_api_key_expires_at","immutable_api_key_indexes","immutable_api_key_key","immutable_api_key_uid","immutable_api_key_updated_at","immutable_index_created_at","immutable_index_updated_at","import_task_already_received","import_task_unknown_remote","receive_import_finished_unknown_remote","import_task_without_network_task","index_already_exists","index_creation_failed","index_not_found","index_primary_key_already_exists","index_primary_key_multiple_candidates_found","index_primary_key_no_candidate_found","internal","invalid_api_key","invalid_api_key_actions","invalid_api_key_description","invalid_api_key_expires_at","invalid_api_key_indexes","invalid_api_key_limit","invalid_api_key_name","invalid_api_key_offset","invalid_api_key_uid","invalid_content_type","invalid_document_csv_delimiter","invalid_document_fields","invalid_document_retrieve_vectors","missing_document_filter","missing_document_edition_function","inconsistent_document_change_headers","invalid_document_filter","invalid_document_sort","invalid_document_use_network","invalid_document_retrieve","invalid_document_geo_field","invalid_document_geojson_field","invalid_header_value","invalid_vector_dimensions","invalid_vectors_type","invalid_document_id","invalid_document_ids","invalid_document_limit","invalid_document_offset","invalid_search_embedder","invalid_similar_embedder","invalid_search_hybrid_query","invalid_index_limit","invalid_index_offset","invalid_index_primary_key","invalid_index_custom_metadata","invalid_skip_creation","invalid_index_uid","invalid_multi_search_facets","invalid_multi_search_facets_by_index","invalid_multi_search_facet_order","invalid_multi_search_query_personalization","invalid_multi_search_query_show_performance_details","invalid_multi_search_federated","invalid_multi_search_federation_options","invalid_multi_search_max_values_per_facet","invalid_multi_search_merge_facets","invalid_multi_search_query_facets","invalid_multi_search_distinct","invalid_multi_search_query_pagination","invalid_multi_search_query_ranking_rules","invalid_multi_search_query_position","invalid_multi_search_remote","invalid_multi_search_weight","invalid_network_leader","invalid_network_remotes","invalid_network_shards","invalid_network_self","invalid_network_search_api_key","invalid_network_write_api_key","invalid_network_url","invalid_search_attributes_to_search_on","invalid_search_attributes_to_crop","invalid_search_attributes_to_highlight","invalid_similar_attributes_to_retrieve","invalid_similar_retrieve_vectors","invalid_search_attributes_to_retrieve","invalid_search_ranking_score_threshold","invalid_similar_ranking_score_threshold","invalid_search_retrieve_vectors","invalid_search_crop_length","invalid_search_crop_marker","invalid_search_facets","invalid_search_semantic_ratio","invalid_search_locales","invalid_facet_search_exhaustive_facet_count","invalid_facet_search_facet_name","invalid_similar_id","invalid_search_filter","invalid_similar_filter","invalid_search_highlight_post_tag","invalid_search_highlight_pre_tag","invalid_search_hits_per_page","invalid_similar_limit","invalid_search_limit","invalid_search_matching_strategy","invalid_similar_offset","invalid_search_offset","invalid_search_page","invalid_search_q","invalid_facet_search_query","invalid_facet_search_name","facet_search_disabled","invalid_search_vector","invalid_search_media","invalid_search_show_matches_position","invalid_search_show_ranking_score","invalid_similar_show_ranking_score","invalid_search_show_ranking_score_details","invalid_search_show_performance_details","invalid_search_use_network","invalid_similar_show_ranking_score_details","invalid_similar_show_performance_details","invalid_search_sort","invalid_search_distinct","invalid_search_personalize","invalid_search_personalize_user_context","invalid_search_media_and_vector","invalid_settings_displayed_attributes","invalid_settings_distinct_attribute","invalid_settings_proximity_precision","invalid_settings_facet_search","invalid_settings_prefix_search","invalid_settings_faceting","invalid_settings_filterable_attributes","invalid_settings_foreign_keys","invalid_settings_pagination","invalid_settings_search_cutoff_ms","invalid_settings_embedders","invalid_settings_ranking_rules","invalid_settings_searchable_attributes","invalid_settings_sortable_attributes","invalid_settings_stop_words","invalid_settings_non_separator_tokens","invalid_settings_separator_tokens","invalid_settings_dictionary","invalid_settings_synonyms","invalid_settings_typo_tolerance","invalid_settings_localized_attributes","invalid_state","invalid_stats_show_internal_database_sizes","invalid_stats_size_format","invalid_store_file","invalid_swap_duplicate_index_found","invalid_swap_indexes","invalid_swap_rename","invalid_task_after_enqueued_at","invalid_task_after_finished_at","invalid_task_after_started_at","invalid_task_before_enqueued_at","invalid_task_before_finished_at","invalid_task_before_started_at","invalid_task_canceled_by","invalid_task_from","invalid_task_limit","invalid_task_reverse","invalid_task_statuses","invalid_task_types","invalid_task_uids","invalid_batch_uids","io_error","feature_not_enabled","malformed_payload","max_fields_limit_exceeded","missing_api_key_actions","missing_api_key_expires_at","missing_api_key_indexes","missing_authorization_header","missing_content_type","missing_document_id","missing_facet_search_facet_name","missing_index_uid","missing_master_key","missing_network_url","missing_payload","missing_search_hybrid","missing_swap_indexes","missing_task_filters","network_version_mismatch","no_space_left_on_device","not_leader","payload_too_large","remote_bad_response","remote_bad_request","unknown_remote","remote_could_not_send_request","remote_invalid_api_key","remote_remote_error","remote_timeout","too_many_search_requests","task_not_found","task_file_not_found","batch_not_found","too_many_open_files","too_many_vectors","unexpected_network_previous_remotes","network_version_too_old","unprocessed_network_task","unretrievable_document","unretrievable_error_code","unsupported_media_type","invalid_s3_snapshot_request","invalid_s3_snapshot_parameters","s3_snapshot_server_error","vector_embedding_error","not_found_similar_id","invalid_document_edition_context","invalid_document_edition_function_filter","edit_documents_by_function_error","invalid_settings_index_chat","invalid_export_url","invalid_export_api_key","invalid_export_payload_size","invalid_export_indexes_patterns","invalid_export_index_filter","invalid_export_index_override_settings","unimplemented_external_function_calling","unimplemented_non_streaming_chat_completions","unimplemented_multi_choice_chat_completions","chat_not_found","invalid_chat_setting_document_template","invalid_chat_completion_org_id","invalid_chat_completion_project_id","invalid_chat_completion_api_version","invalid_chat_completion_deployment_id","invalid_chat_completion_source","invalid_chat_completion_base_api","invalid_chat_completion_api_key","invalid_chat_completion_prompts","invalid_chat_completion_system_prompt","invalid_chat_completion_search_description_prompt","invalid_chat_completion_search_query_param_prompt","invalid_chat_completion_search_filter_param_prompt","invalid_chat_completion_search_index_uid_param_prompt","invalid_chat_completion_pre_query_prompt","invalid_index_fields_filter","invalid_index_fields_filter_attribute_patterns","invalid_index_fields_filter_displayed","invalid_index_fields_filter_searchable","invalid_index_fields_filter_sortable","invalid_index_fields_filter_distinct","invalid_index_fields_filter_ranking_rule","invalid_index_fields_filter_filterable","requires_enterprise_edition","invalid_render_template","invalid_render_input","render_document_not_found","template_parsing_error","template_rendering_error","invalid_webhooks","invalid_webhook_url","invalid_webhook_headers","immutable_webhook","invalid_webhook_uuid","webhook_not_found","immutable_webhook_uuid","immutable_webhook_is_editable","invalid_dynamic_search_rule_uid","invalid_dynamic_search_rule_offset","invalid_dynamic_search_rule_limit","invalid_dynamic_search_rule_filter","invalid_dynamic_search_rule_description","invalid_dynamic_search_rule_priority","invalid_dynamic_search_rule_active","invalid_dynamic_search_rule_conditions","invalid_dynamic_search_rule_actions","invalid_dynamic_search_rule_filter_query","invalid_dynamic_search_rule_filter_active","dynamic_search_rule_not_found"],"description":"The error code.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"type":{"type":"string","enum":["internal","invalid_request","auth","system"],"description":"The error type.","isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"link":{"type":"string","description":"A link to the documentation about this specific error.","isRequired":true,"uniqueKey":"link","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"message":"The Authorization header is missing. It must use the bearer authorization method.","code":"missing_authorization_header","type":"auth","link":"https://docs.meilisearch.com/errors#missing_authorization_header"},"examples":{"Example":{"title":"Example","value":{"message":"The Authorization header is missing. It must use the bearer authorization method.","code":"missing_authorization_header","type":"auth","link":"https://docs.meilisearch.com/errors#missing_authorization_header"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"9b3d01bb-b0d5-44a7-b07a-6bbcd941b3d9":{"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"Uuidv4, string or JWT","description":"An API key is a token that you provide when making API calls. Read more about [how to secure your project](https://www.meilisearch.com/docs/learn/security/basic_security).\n\nInclude the API key to the `Authorization` header, for instance:\n```bash\n-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'\n```\n\nIf you use a SDK, ensure you instantiate the client with the API key, for instance with [JS SDK](https://github.com/meilisearch/meilisearch-js):\n```js\nconst client = new MeiliSearch({\n host: 'MEILISEARCH_URL',\n apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'\n});\n```","scopes":["tasks.get","tasks.*","*"],"schemeName":"Bearer"}}},"servers":{"bdde1061-cfb1-4636-a2c9-40d85a2fd614":{"url":"http://localhost:7700","description":"Local server."}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"Uuidv4, string or JWT","description":"An API key is a token that you provide when making API calls. Read more about [how to secure your project](https://www.meilisearch.com/docs/learn/security/basic_security).\n\nInclude the API key to the `Authorization` header, for instance:\n```bash\n-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'\n```\n\nIf you use a SDK, ensure you instantiate the client with the API key, for instance with [JS SDK](https://github.com/meilisearch/meilisearch-js):\n```js\nconst client = new MeiliSearch({\n host: 'MEILISEARCH_URL',\n apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'\n});\n```","scopes":["tasks.get","tasks.*","*"],"schemeName":"Bearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"An API key is a token that you provide when making API calls. Read more about [how to secure your project](https://www.meilisearch.com/docs/learn/security/basic_security).\n\nInclude the API key to the `Authorization` header, for instance:\n```bash\n-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'\n```\n\nIf you use a SDK, ensure you instantiate the client with the API key, for instance with [JS SDK](https://github.com/meilisearch/meilisearch-js):\n```js\nconst client = new MeiliSearch({\n host: 'MEILISEARCH_URL',\n apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'\n});\n```","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"Bearer","name":"Authorization"}],"title":"Bearer"}]},"originalFileLocation":"assets/release-assets/meilisearch-openapi-mintlify.json"},"subdomain":"meilisearch-6b28dec2","siteName":"Meilisearch Documentation","title":"List batches - Meilisearch Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-27T23:02:47.254Z","originalFileLocation":"reference/api/async-task-management/list-batches.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Meilisearch groups compatible tasks (asynchronous operations) into batches for efficient processing. For example, multiple document additions to the same index may be batched together. List batches to monitor their progress and performance. Batches are always returned in descending order of uid. This means that by default, the most recently created batch objects appear first. Batch results are paginated and can be filtered with query parameters.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Meilisearch Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/meilisearch-6b28dec2/6t6RePI0bXwGcKSs/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/meilisearch-6b28dec2/6t6RePI0bXwGcKSs/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/meilisearch-6b28dec2/6t6RePI0bXwGcKSs/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/meilisearch-6b28dec2/6t6RePI0bXwGcKSs/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/meilisearch-6b28dec2/6t6RePI0bXwGcKSs/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/meilisearch-6b28dec2/6t6RePI0bXwGcKSs/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/meilisearch-6b28dec2/6t6RePI0bXwGcKSs/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/meilisearch-6b28dec2/6t6RePI0bXwGcKSs/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/meilisearch-6b28dec2/6t6RePI0bXwGcKSs/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List batches - Meilisearch Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Meilisearch groups compatible tasks (asynchronous operations) into batches for efficient processing. For example, multiple document additions to the same index may be batched together. List batches to monitor their progress and performance. Batches are always returned in descending order of uid. This means that by default, the most recently created batch objects appear first. Batch results are paginated and can be filtered with query parameters.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Meilisearch Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://www.meilisearch.com/docs/reference/api/async-task-management/list-batches\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://meilisearch-6b28dec2.mintlify.app/_mintlify/api/og/v2?division=Batches\u0026amp;title=List+batches\u0026amp;description=Meilisearch+groups+compatible+tasks+%28%5Basynchronous+operations%5D%28https%3A%2F%2Fwww.meilisearch.com%2Fdocs%2Flearn%2Fasync%2Fasynchronous_operations%29%29+into+batches+for+efficient\u0026amp;theme=25515a5016844863e4538b41\u0026amp;signature=472a6febfd34c04904d8e35e268581bf835e59f335701e1bad863a913dba56b1\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List batches - Meilisearch Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Meilisearch groups compatible tasks (asynchronous operations) into batches for efficient processing. For example, multiple document additions to the same index may be batched together. List batches to monitor their progress and performance. Batches are always returned in descending order of uid. This means that by default, the most recently created batch objects appear first. Batch results are paginated and can be filtered with query parameters.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://meilisearch-6b28dec2.mintlify.app/_mintlify/api/og/v2?division=Batches\u0026amp;title=List+batches\u0026amp;description=Meilisearch+groups+compatible+tasks+%28%5Basynchronous+operations%5D%28https%3A%2F%2Fwww.meilisearch.com%2Fdocs%2Flearn%2Fasync%2Fasynchronous_operations%29%29+into+batches+for+efficient\u0026amp;theme=25515a5016844863e4538b41\u0026amp;signature=472a6febfd34c04904d8e35e268581bf835e59f335701e1bad863a913dba56b1\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/meilisearch-6b28dec2/6t6RePI0bXwGcKSs/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Meilisearch Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF5CB2\">\u003clink data-mint-head rel=\"canonical\" href=\"https://www.meilisearch.com/docs/reference/api/async-task-management/list-batches\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/reference/api/async-task-management/list-batches.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://www.meilisearch.com/#organization\",\"name\":\"Meilisearch Documentation\",\"url\":\"https://www.meilisearch.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/meilisearch-6b28dec2/YRn82YKcWv02OWrg/assets/repo/meilisearch-logo-light.svg?fit=max\u0026auto=format\u0026n=YRn82YKcWv02OWrg\u0026q=85\u0026s=331f9ce2d1f557db3b679795f4707aa5\"}},{\"@type\":\"WebSite\",\"@id\":\"https://www.meilisearch.com/docs#website\",\"name\":\"Meilisearch Documentation\",\"url\":\"https://www.meilisearch.com/docs\",\"publisher\":{\"@id\":\"https://www.meilisearch.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://www.meilisearch.com/docs/reference/api/async-task-management/list-batches#webpage\",\"url\":\"https://www.meilisearch.com/docs/reference/api/async-task-management/list-batches\",\"name\":\"List batches\",\"description\":\"Meilisearch groups compatible tasks (asynchronous operations) into batches for efficient processing. For example, multiple document additions to the same index may be batched together. List batches to monitor their progress and performance. Batches are always returned in descending order of uid. This means that by default, the most recently created batch objects appear first. Batch results are paginated and can be filtered with query parameters.\",\"dateModified\":\"2026-10-27T23:02:47.254Z\",\"isPartOf\":{\"@id\":\"https://www.meilisearch.com/docs#website\"},\"breadcrumb\":{\"@id\":\"https://www.meilisearch.com/docs/reference/api/async-task-management/list-batches#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://www.meilisearch.com/docs/reference/api/async-task-management/list-batches#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Routes\",\"item\":\"https://www.meilisearch.com/docs/reference/api/indexes/list-all-indexes\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List batches\",\"item\":\"https://www.meilisearch.com/docs/reference/api/async-task-management/list-batches\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://www.meilisearch.com/docs/reference/api/async-task-management/list-batches#apireference\",\"headline\":\"List batches\",\"name\":\"List batches\",\"description\":\"Meilisearch groups compatible tasks (asynchronous operations) into batches for efficient processing. For example, multiple document additions to the same index may be batched together. List batches to monitor their progress and performance. Batches are always returned in descending order of uid. This means that by default, the most recently created batch objects appear first. Batch results are paginated and can be filtered with query parameters.\",\"url\":\"https://www.meilisearch.com/docs/reference/api/async-task-management/list-batches\",\"mainEntityOfPage\":{\"@id\":\"https://www.meilisearch.com/docs/reference/api/async-task-management/list-batches#webpage\"},\"dateModified\":\"2026-10-27T23:02:47.254Z\",\"publisher\":{\"@id\":\"https://www.meilisearch.com/#organization\"},\"isPartOf\":{\"@id\":\"https://www.meilisearch.com/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Meilisearch Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Meilisearch Documentation","nav":{"global":null,"tabs":[{"tab":"Getting started","pages":[{"title":"Getting started","href":"/getting_started/overview"}]},{"tab":"Capabilities","pages":[{"title":"Capabilities","href":"/capabilities/overview"}]},{"tab":"Reference","groups":[{"group":"Overview","pages":[{"title":"Authorization","sidebarTitle":"Authorization","href":"/reference/api/authorization"},{"title":"Headers","sidebarTitle":"Headers","href":"/reference/api/headers"},{"title":"Requests","sidebarTitle":"Requests","href":"/reference/api/requests"},{"title":"Pagination","sidebarTitle":"Pagination","href":"/reference/api/pagination"},{"title":"OpenAPI specifications","sidebarTitle":"OpenAPI specifications","href":"/reference/api/openapi"}]},{"group":"API Routes","pages":[{"group":"Indexes","pages":[{"title":"List all indexes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes","href":"/reference/api/indexes/list-all-indexes"},{"title":"Create index","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /indexes","href":"/reference/api/indexes/create-index"},{"title":"Get index","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}","href":"/reference/api/indexes/get-index"},{"title":"Update index","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json patch /indexes/{index_uid}","href":"/reference/api/indexes/update-index"},{"title":"Delete index","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}","href":"/reference/api/indexes/delete-index"},{"title":"Swap indexes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /swap-indexes","href":"/reference/api/indexes/swap-indexes"},{"title":"List index fields","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /indexes/{index_uid}/fields","href":"/reference/api/indexes/list-index-fields"}]},{"group":"Documents","pages":[{"title":"List documents with GET","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/documents","href":"/reference/api/documents/list-documents-with-get"},{"title":"List documents with POST","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /indexes/{index_uid}/documents/fetch","href":"/reference/api/documents/list-documents-with-post"},{"title":"Get document","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/documents/{document_id}","href":"/reference/api/documents/get-document"},{"title":"Add or replace documents","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /indexes/{index_uid}/documents","href":"/reference/api/documents/add-or-replace-documents"},{"title":"Add or update documents","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/documents","href":"/reference/api/documents/add-or-update-documents"},{"title":"Delete document","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/documents/{document_id}","href":"/reference/api/documents/delete-document"},{"title":"Delete all documents","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/documents","href":"/reference/api/documents/delete-all-documents"},{"title":"Delete documents by filter","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /indexes/{index_uid}/documents/delete","href":"/reference/api/documents/delete-documents-by-filter"},{"title":"Delete documents by batch","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /indexes/{index_uid}/documents/delete-batch","href":"/reference/api/documents/delete-documents-by-batch"},{"title":"Edit documents by function","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /indexes/{index_uid}/documents/edit","href":"/reference/api/documents/edit-documents-by-function"}]},{"group":"Search","pages":[{"title":"Search with POST","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /indexes/{index_uid}/search","href":"/reference/api/search/search-with-post"},{"title":"Search with GET","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/search","href":"/reference/api/search/search-with-get"}]},{"group":"Multi-search","pages":[{"title":"Perform a multi-search","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /multi-search","href":"/reference/api/multi-search/perform-a-multi-search"}]},{"group":"Facet search","pages":[{"title":"Search for facet values","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /indexes/{index_uid}/facet-search","href":"/reference/api/facet-search/search-for-facet-values"}]},{"group":"Similar documents","pages":[{"title":"Get similar documents with POST","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /indexes/{index_uid}/similar","href":"/reference/api/similar-documents/get-similar-documents-with-post"},{"title":"Get similar documents with GET","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/similar","href":"/reference/api/similar-documents/get-similar-documents-with-get"}]},{"group":"MCP","pages":[{"title":"Model context protocol (MCP)","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /mcp","href":"/reference/api/mcp/model-context-protocol-mcp"}]},{"group":"Chats","pages":[{"title":"List chat workspaces","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /chats","href":"/reference/api/chats/list-chat-workspaces"},{"title":"Get a chat workspace","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /chats/{workspace_uid}","href":"/reference/api/chats/get-a-chat-workspace"},{"title":"Delete a chat workspace","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /chats/{workspace_uid}","href":"/reference/api/chats/delete-a-chat-workspace"},{"title":"Request a chat completion","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /chats/{workspace_uid}/chat/completions","href":"/reference/api/chats/request-a-chat-completion"},{"title":"Get settings of a chat workspace","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /chats/{workspace_uid}/settings","href":"/reference/api/chats/get-settings-of-a-chat-workspace"},{"title":"Update settings of a chat workspace","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json patch /chats/{workspace_uid}/settings","href":"/reference/api/chats/update-settings-of-a-chat-workspace"},{"title":"Reset the settings of a chat workspace","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /chats/{workspace_uid}/settings","href":"/reference/api/chats/reset-the-settings-of-a-chat-workspace"}]},{"group":"Search Rules","pages":[{"title":"List search rules","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /dynamic-search-rules","href":"/reference/api/search-rules/list-search-rules"},{"title":"Delete all search rules.","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /dynamic-search-rules","href":"/reference/api/search-rules/delete-all-search-rules"},{"title":"Get a search rule","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /dynamic-search-rules/{uid}","href":"/reference/api/search-rules/get-a-search-rule"},{"title":"Create or update a search rule","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json patch /dynamic-search-rules/{uid}","href":"/reference/api/search-rules/create-or-update-a-search-rule"},{"title":"Delete a search rule","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /dynamic-search-rules/{uid}","href":"/reference/api/search-rules/delete-a-search-rule"}]},{"group":"Tasks","pages":[{"title":"List tasks","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /tasks","href":"/reference/api/async-task-management/list-tasks"},{"title":"Get task","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /tasks/{task_id}","href":"/reference/api/async-task-management/get-task"},{"title":"Get task's document payload","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /tasks/{task_id}/documents","href":"/reference/api/async-task-management/get-tasks-document-payload"},{"title":"Cancel tasks","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /tasks/cancel","href":"/reference/api/async-task-management/cancel-tasks"},{"title":"Delete tasks","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /tasks","href":"/reference/api/async-task-management/delete-tasks"},{"title":"Stream tasks changes","description":"The `/tasks/stream` route returns information about [asynchronous operations](https://docs.meilisearch.com/learn/advanced/asynchronous_operations.html) (indexing, document updates, settings changes, and so on).\n\nTasks are sent throught an SSE stream any time their status changes, i.e., enqueued, processing, succeeded, failed.","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /tasks/stream","href":"/reference/api/async-task-management/stream-tasks-changes"}]},{"group":"Batches","pages":[{"title":"List batches","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /batches","href":"/reference/api/async-task-management/list-batches"},{"title":"Get batch","description":"Meilisearch groups compatible tasks ([asynchronous operations](https://www.meilisearch.com/docs/learn/async/asynchronous_operations)) into batches for efficient processing.\n\nFor example, multiple document additions to the same index may be batched together. Retrieve a single batch by its unique identifier to monitor its progress and performance.","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /batches/{batch_id}","href":"/reference/api/async-task-management/get-batch"},{"title":"Stream batches changes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /batches/stream","href":"/reference/api/async-task-management/stream-batches-changes"}]},{"group":"Keys","pages":[{"title":"List API keys","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /keys","href":"/reference/api/keys/list-api-keys"},{"title":"Create API key","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json post /keys","href":"/reference/api/keys/create-api-key"},{"title":"Get API key","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /keys/{key}","href":"/reference/api/keys/get-api-key"},{"title":"Update API key","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json patch /keys/{key}","href":"/reference/api/keys/update-api-key"},{"title":"Delete API key","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /keys/{key}","href":"/reference/api/keys/delete-api-key"}]},{"group":"Settings","pages":[{"group":"All settings","pages":[{"title":"List all settings","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings","href":"/reference/api/settings/list-all-settings"},{"title":"Update all settings","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json patch /indexes/{index_uid}/settings","href":"/reference/api/settings/update-all-settings"},{"title":"Reset all settings","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings","href":"/reference/api/settings/reset-all-settings"}]},{"group":"Chat","pages":[{"title":"Get chat","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/chat","href":"/reference/api/settings/get-chat"},{"title":"Update chat","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json patch /indexes/{index_uid}/settings/chat","href":"/reference/api/settings/update-chat"},{"title":"Reset chat","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/chat","href":"/reference/api/settings/reset-chat"}]},{"group":"Dictionary","pages":[{"title":"Get dictionary","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/dictionary","href":"/reference/api/settings/get-dictionary"},{"title":"Update dictionary","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/dictionary","href":"/reference/api/settings/update-dictionary"},{"title":"Reset dictionary","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/dictionary","href":"/reference/api/settings/reset-dictionary"}]},{"group":"Displayed attributes","pages":[{"title":"Get displayedAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/displayed-attributes","href":"/reference/api/settings/get-displayedattributes"},{"title":"Update displayedAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/displayed-attributes","href":"/reference/api/settings/update-displayedattributes"},{"title":"Reset displayedAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/displayed-attributes","href":"/reference/api/settings/reset-displayedattributes"}]},{"group":"Distinct attribute","pages":[{"title":"Get distinctAttribute","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/distinct-attribute","href":"/reference/api/settings/get-distinctattribute"},{"title":"Update distinctAttribute","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/distinct-attribute","href":"/reference/api/settings/update-distinctattribute"},{"title":"Reset distinctAttribute","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/distinct-attribute","href":"/reference/api/settings/reset-distinctattribute"}]},{"group":"Embedders","pages":[{"title":"Get embedders","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/embedders","href":"/reference/api/settings/get-embedders"},{"title":"Update embedders","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json patch /indexes/{index_uid}/settings/embedders","href":"/reference/api/settings/update-embedders"},{"title":"Reset embedders","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/embedders","href":"/reference/api/settings/reset-embedders"}]},{"group":"Facet search","pages":[{"title":"Get facetSearch","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/facet-search","href":"/reference/api/settings/get-facetsearch"},{"title":"Update facetSearch","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/facet-search","href":"/reference/api/settings/update-facetsearch"},{"title":"Reset facetSearch","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/facet-search","href":"/reference/api/settings/reset-facetsearch"}]},{"group":"Faceting","pages":[{"title":"Get faceting","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/faceting","href":"/reference/api/settings/get-faceting"},{"title":"Update faceting","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json patch /indexes/{index_uid}/settings/faceting","href":"/reference/api/settings/update-faceting"},{"title":"Reset faceting","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/faceting","href":"/reference/api/settings/reset-faceting"}]},{"group":"Filterable attributes","pages":[{"title":"Get filterableAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/filterable-attributes","href":"/reference/api/settings/get-filterableattributes"},{"title":"Update filterableAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/filterable-attributes","href":"/reference/api/settings/update-filterableattributes"},{"title":"Reset filterableAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/filterable-attributes","href":"/reference/api/settings/reset-filterableattributes"}]},{"group":"Foreign keys","pages":[{"title":"Get foreignKeys","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/foreign-keys","href":"/reference/api/settings/get-foreignkeys"},{"title":"Update foreignKeys","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/foreign-keys","href":"/reference/api/settings/update-foreignkeys"},{"title":"Reset foreignKeys","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/foreign-keys","href":"/reference/api/settings/reset-foreignkeys"}]},{"group":"Localized attributes","pages":[{"title":"Get localizedAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/localized-attributes","href":"/reference/api/settings/get-localizedattributes"},{"title":"Update localizedAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/localized-attributes","href":"/reference/api/settings/update-localizedattributes"},{"title":"Reset localizedAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/localized-attributes","href":"/reference/api/settings/reset-localizedattributes"}]},{"group":"Non-separator tokens","pages":[{"title":"Get nonSeparatorTokens","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/non-separator-tokens","href":"/reference/api/settings/get-nonseparatortokens"},{"title":"Update nonSeparatorTokens","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/non-separator-tokens","href":"/reference/api/settings/update-nonseparatortokens"},{"title":"Reset nonSeparatorTokens","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/non-separator-tokens","href":"/reference/api/settings/reset-nonseparatortokens"}]},{"group":"Pagination","pages":[{"title":"Get pagination","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/pagination","href":"/reference/api/settings/get-pagination"},{"title":"Update pagination","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json patch /indexes/{index_uid}/settings/pagination","href":"/reference/api/settings/update-pagination"},{"title":"Reset pagination","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/pagination","href":"/reference/api/settings/reset-pagination"}]},{"group":"Prefix search","pages":[{"title":"Get prefixSearch","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/prefix-search","href":"/reference/api/settings/get-prefixsearch"},{"title":"Update prefixSearch","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/prefix-search","href":"/reference/api/settings/update-prefixsearch"},{"title":"Reset prefixSearch","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/prefix-search","href":"/reference/api/settings/reset-prefixsearch"}]},{"group":"Proximity precision","pages":[{"title":"Get proximityPrecision","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/proximity-precision","href":"/reference/api/settings/get-proximityprecision"},{"title":"Update proximityPrecision","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/proximity-precision","href":"/reference/api/settings/update-proximityprecision"},{"title":"Reset proximityPrecision","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/proximity-precision","href":"/reference/api/settings/reset-proximityprecision"}]},{"group":"Ranking rules","pages":[{"title":"Get rankingRules","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/ranking-rules","href":"/reference/api/settings/get-rankingrules"},{"title":"Update rankingRules","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/ranking-rules","href":"/reference/api/settings/update-rankingrules"},{"title":"Reset rankingRules","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/ranking-rules","href":"/reference/api/settings/reset-rankingrules"}]},{"group":"Search cutoff","pages":[{"title":"Get searchCutoffMs","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/search-cutoff-ms","href":"/reference/api/settings/get-searchcutoffms"},{"title":"Update searchCutoffMs","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/search-cutoff-ms","href":"/reference/api/settings/update-searchcutoffms"},{"title":"Reset searchCutoffMs","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/search-cutoff-ms","href":"/reference/api/settings/reset-searchcutoffms"}]},{"group":"Searchable attributes","pages":[{"title":"Get searchableAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/searchable-attributes","href":"/reference/api/settings/get-searchableattributes"},{"title":"Update searchableAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/searchable-attributes","href":"/reference/api/settings/update-searchableattributes"},{"title":"Reset searchableAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/searchable-attributes","href":"/reference/api/settings/reset-searchableattributes"}]},{"group":"Separator tokens","pages":[{"title":"Get separatorTokens","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/separator-tokens","href":"/reference/api/settings/get-separatortokens"},{"title":"Update separatorTokens","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/separator-tokens","href":"/reference/api/settings/update-separatortokens"},{"title":"Reset separatorTokens","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/separator-tokens","href":"/reference/api/settings/reset-separatortokens"}]},{"group":"Sortable attributes","pages":[{"title":"Get sortableAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/sortable-attributes","href":"/reference/api/settings/get-sortableattributes"},{"title":"Update sortableAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/sortable-attributes","href":"/reference/api/settings/update-sortableattributes"},{"title":"Reset sortableAttributes","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/sortable-attributes","href":"/reference/api/settings/reset-sortableattributes"}]},{"group":"Stop words","pages":[{"title":"Get stopWords","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/stop-words","href":"/reference/api/settings/get-stopwords"},{"title":"Update stopWords","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/stop-words","href":"/reference/api/settings/update-stopwords"},{"title":"Reset stopWords","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json delete /indexes/{index_uid}/settings/stop-words","href":"/reference/api/settings/reset-stopwords"}]},{"group":"Synonyms","pages":[{"title":"Get synonyms","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json get /indexes/{index_uid}/settings/synonyms","href":"/reference/api/settings/get-synonyms"},{"title":"Update synonyms","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-mintlify.json put /indexes/{index_uid}/settings/synonyms","href":"/reference/api/settings/update-synonyms"},{"title":"Reset synonyms","deprecated":null,"version":null,"openapi":"/assets/release-assets/meilisearch-openapi-
[...]
